Three Cheers For Sweet RevengeMy Chemical Romance
Europe 2015 (Reprise Records 9362-49336-3)LP, Album, RE
American FootballAmerican Football
UK & US 2019 (Polyvinyl Record Company PRC-025LP)LP, Album, RE, Blu
You're Gonna Miss It AllModern Baseball
US 2022 (Run For Cover Records (2) RFC 096)LP, Album, RP, Oli
Peripheral VisionTurnover
UK, Europe & US 2022 (Run For Cover Records (2) RFC122)LP, Album, RE, Ora
LP2Sunny Day Real Estate
US 2010 (Sub Pop SP 852)2xLP, Album, RE, RM, RP
Etc.Jawbreaker
US 2002 (Blackball Records BB-003-LP)2xLP, Comp
How It Feels To Be Something OnSunny Day Real Estate
US 2016 (Sub Pop SP 409)LP, Album, RE
Holy GhostModern Baseball
US 2021 (Run For Cover Records (2) RFC:152)LP, Album, Ltd, RE, RP, Bla
US 2009 (Sub Pop SP 852)2xLP, Album, Ltd, RE, RM, Pin
Stay What You AreSaves The Day
US 2001 (Vagrant Records 422 860 953-1)LP, Album
Orange Rhyming DictionaryJets To Brazil
US 2017 (Jade Tree JT1038)2xLP, Album, RE, 180
Tongues / Ones & ZerosJawbox
US 1992 (Dischord Records DIS61V)7"
3 SongsFugazi
US 2009 (Dischord Records Dischord 43)7", EP, RE, RM, $4
XXX - Some Ideas Are Poisonous
US 1995 (Ebullition Records (2) ebullition #24)2xLP, Comp
The Rising TideSunny Day Real Estate
US 2018 (Craft Recordings CR00069)2xLP, Album, RE
Good Apollo, I’m Burning Star IV Volume Two: No World For TomorrowCoheed And Cambria
Europe 2021 (Music On Vinyl MOVLP2793)LP + LP, S/Sided, Etch + Album, RE
Nothing Feels GoodThe Promise Ring
US 2022 (Jade Tree JT1035)LP, RP, Blu
Rites Of SpringRites Of Spring
US 2023 (Dischord Records Dischord 16)LP, Album, RE, RM, RP
Static PrevailsJimmy Eat World
US 2016 (Capitol Records B0023654-01)2xLP, Album, RE, 140
The Ugly OrganCursive
US 2025 (Run For Cover Records (2) RFC307)LP, Album, Ltd, RE, Tra
Frame & CanvasBraid
US 2023 (Polyvinyl Record Company PRC-468)LP, Album, S/Edition, Sil
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.